# Class TCLIService.AsyncClient

java.lang.Object
org.apache.thrift.async.TAsyncClient
com.databricks.jdbc.model.client.thrift.generated.TCLIService.AsyncClient

All Implemented Interfaces:
  `TCLIService.AsyncIface`

Enclosing class:
  `TCLIService`

public static class TCLIService.AsyncClient extends org.apache.thrift.async.TAsyncClient implements TCLIService.AsyncIface

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.CancelDelegationToken_call`
`static class`
`TCLIService.AsyncClient.CancelOperation_call`
`static class`
`TCLIService.AsyncClient.CloseOperation_call`
`static class`
`TCLIService.AsyncClient.CloseSession_call`
`static class`
`TCLIService.AsyncClient.ExecuteStatement_call`
`static class`
`TCLIService.AsyncClient.Factory`
`static class`
`TCLIService.AsyncClient.FetchResults_call`
`static class`
`TCLIService.AsyncClient.GetCatalogs_call`
`static class`
`TCLIService.AsyncClient.GetColumns_call`
`static class`
`TCLIService.AsyncClient.GetCrossReference_call`
`static class`
`TCLIService.AsyncClient.GetDelegationToken_call`
`static class`
`TCLIService.AsyncClient.GetFunctions_call`
`static class`
`TCLIService.AsyncClient.GetInfo_call`
`static class`
`TCLIService.AsyncClient.GetOperationStatus_call`
`static class`
`TCLIService.AsyncClient.GetPrimaryKeys_call`
`static class`
`TCLIService.AsyncClient.GetResultSetMetadata_call`
`static class`
`TCLIService.AsyncClient.GetSchemas_call`
`static class`
`TCLIService.AsyncClient.GetTables_call`
`static class`
`TCLIService.AsyncClient.GetTableTypes_call`
`static class`
`TCLIService.AsyncClient.GetTypeInfo_call`
`static class`
`TCLIService.AsyncClient.OpenSession_call`
`static class`
`TCLIService.AsyncClient.RenewDelegationToken_call`

## Field Summary

### Fields inherited from class org.apache.thrift.async.TAsyncClient

`___currentMethod, ___manager, ___protocolFactory, ___transport`

## Constructor Summary

Constructors
Constructor
Description
`AsyncClient(org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.async.TAsyncClientManager clientManager, org.apache.thrift.transport.TNonblockingTransport transport)`

## Method Summary

Modifier and Type
Method
Description
`void`
`CancelDelegationToken(TCancelDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelDelegationTokenResp> resultHandler)`
`void`
`CancelOperation(TCancelOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelOperationResp> resultHandler)`
`void`
`CloseOperation(TCloseOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseOperationResp> resultHandler)`
`void`
`CloseSession(TCloseSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseSessionResp> resultHandler)`
`void`
`ExecuteStatement(TExecuteStatementReq req, org.apache.thrift.async.AsyncMethodCallback<TExecuteStatementResp> resultHandler)`
`void`
`FetchResults(TFetchResultsReq req, org.apache.thrift.async.AsyncMethodCallback<TFetchResultsResp> resultHandler)`
`void`
`GetCatalogs(TGetCatalogsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler)`
`void`
`GetColumns(TGetColumnsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetColumnsResp> resultHandler)`
`void`
`GetCrossReference(TGetCrossReferenceReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCrossReferenceResp> resultHandler)`
`void`
`GetDelegationToken(TGetDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TGetDelegationTokenResp> resultHandler)`
`void`
`GetFunctions(TGetFunctionsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetFunctionsResp> resultHandler)`
`void`
`GetInfo(TGetInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetInfoResp> resultHandler)`
`void`
`GetOperationStatus(TGetOperationStatusReq req, org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp> resultHandler)`
`void`
`GetPrimaryKeys(TGetPrimaryKeysReq req, org.apache.thrift.async.AsyncMethodCallback<TGetPrimaryKeysResp> resultHandler)`
`void`
`GetResultSetMetadata(TGetResultSetMetadataReq req, org.apache.thrift.async.AsyncMethodCallback<TGetResultSetMetadataResp> resultHandler)`
`void`
`GetSchemas(TGetSchemasReq req, org.apache.thrift.async.AsyncMethodCallback<TGetSchemasResp> resultHandler)`
`void`
`GetTables(TGetTablesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTablesResp> resultHandler)`
`void`
`GetTableTypes(TGetTableTypesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTableTypesResp> resultHandler)`
`void`
`GetTypeInfo(TGetTypeInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> resultHandler)`
`void`
`OpenSession(TOpenSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TOpenSessionResp> resultHandler)`
`void`
`RenewDelegationToken(TRenewDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp> resultHandler)`

### Methods inherited from class org.apache.thrift.async.TAsyncClient

`checkReady, getError, getProtocolFactory, getTimeout, hasError, hasTimeout, onComplete, onError, setTimeout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncClient

public AsyncClient(org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.async.TAsyncClientManager clientManager, org.apache.thrift.transport.TNonblockingTransport transport)

## Method Details

### OpenSession

public void OpenSession(TOpenSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TOpenSessionResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `OpenSession` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### CloseSession

public void CloseSession(TCloseSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseSessionResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `CloseSession` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### GetInfo

public void GetInfo(TGetInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetInfoResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `GetInfo` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### ExecuteStatement

public void ExecuteStatement(TExecuteStatementReq req, org.apache.thrift.async.AsyncMethodCallback<TExecuteStatementResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `ExecuteStatement` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### GetTypeInfo

public void GetTypeInfo(TGetTypeInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `GetTypeInfo` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### GetCatalogs

public void GetCatalogs(TGetCatalogsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `GetCatalogs` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### GetSchemas

public void GetSchemas(TGetSchemasReq req, org.apache.thrift.async.AsyncMethodCallback<TGetSchemasResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `GetSchemas` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### GetTables

public void GetTables(TGetTablesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTablesResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `GetTables` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### GetTableTypes

public void GetTableTypes(TGetTableTypesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTableTypesResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `GetTableTypes` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### GetColumns

public void GetColumns(TGetColumnsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetColumnsResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `GetColumns` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### GetFunctions

public void GetFunctions(TGetFunctionsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetFunctionsResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `GetFunctions` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### GetPrimaryKeys

public void GetPrimaryKeys(TGetPrimaryKeysReq req, org.apache.thrift.async.AsyncMethodCallback<TGetPrimaryKeysResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `GetPrimaryKeys` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### GetCrossReference

public void GetCrossReference(TGetCrossReferenceReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCrossReferenceResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `GetCrossReference` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### GetOperationStatus

public void GetOperationStatus(TGetOperationStatusReq req, org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `GetOperationStatus` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### CancelOperation

public void CancelOperation(TCancelOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelOperationResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `CancelOperation` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### CloseOperation

public void CloseOperation(TCloseOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseOperationResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `CloseOperation` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### GetResultSetMetadata

public void GetResultSetMetadata(TGetResultSetMetadataReq req, org.apache.thrift.async.AsyncMethodCallback<TGetResultSetMetadataResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `GetResultSetMetadata` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### FetchResults

public void FetchResults(TFetchResultsReq req, org.apache.thrift.async.AsyncMethodCallback<TFetchResultsResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `FetchResults` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### GetDelegationToken

public void GetDelegationToken(TGetDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TGetDelegationTokenResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `GetDelegationToken` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### CancelDelegationToken

public void CancelDelegationToken(TCancelDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelDelegationTokenResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `CancelDelegationToken` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`

### RenewDelegationToken

public void RenewDelegationToken(TRenewDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `RenewDelegationToken` in interface `TCLIService.AsyncIface`
Throws:
  `org.apache.thrift.TException`